TFBS::PatternGen::SimplePFM(3pm)

NAME
TFBS::PatternGen::SimplePFM - a simple position frequency matrix factory

SYNOPSIS
    my @sequences = qw( AAGCCT AGGCAT AAGCCT
                        AAGCCT AGGCAT AGGCCT
                        AGGCAT AGGTTT AGGCAT
                        AGGCCT AGGCCT );
    my $patterngen =
            TFBS::PatternGen::SimplePFM->new(-seq_list=>\@sequences);

    my $pfm = $patterngen->pattern(); # $pfm is now a TFBS::Matrix::PFM object

DESCRIPTION
TFBS::PatternGen::SimplePFM generates a position frequency matrix from a set of nucleotide sequences of equal length, The sequences can be passed either as strings, as Bio::Seq objects or as a fasta file.

This pattern generator always creates only one pattern from a given set of sequences.

  new
 Title   : new
 Usage   : my $db = TFBS::PatternGen::SimplePFM->new(%args);
 Function: the constructor for the TFBS::PatternGen::SimplePFM
            object
 Returns : a TFBS::PatternGen::SimplePFM obkect
 Args    : This method takes named arguments;
            you must specify one of the following
            -seq_list     # a reference to an array of strings
                          # and/or Bio::Seq objects
              # or
            -seq_stream   # A Bio::SeqIO object
              # or
            -seq_file     # the name of the fasta file containing
                          # all the sequences

  pattern

  all_patterns

  patternSet
The three above methods are used fro the retrieval of patterns, and are common to all TFBS::PatternGen::* classes. Please see TFBS::PatternGen for details.